---
title: "À propos de CodeIT"
date: 2019-08-02T11:04:49+08:00
draft: false

lightgallery: true

math:
  enable: true
---

{{< style "img { height: 1.25rem; }" >}}
[![GitHub release (latest by date)](https://img.shields.io/github/v/release/sunt-programator/CodeIT?style=flat-square)](https://github.com/sunt-programator/CodeIT/releases)
[![Hugo](https://img.shields.io/badge/Hugo-%5E0.78.1-ff4088?style=flat-square&logo=hugo)](https://gohugo.io/)
[![License](https://img.shields.io/github/license/sunt-programator/CodeIT?style=flat-square)](https://github.com/sunt-programator/CodeIT/blob/master/LICENSE)
[![GitHub stars](https://img.shields.io/github/stars/sunt-programator/CodeIT?style=social)](https://github.com/sunt-programator/CodeIT)
[![GitHub forks](https://img.shields.io/github/forks/sunt-programator/CodeIT?style=social)](https://github.com/sunt-programator/CodeIT/fork)
{{< /style >}}

{{< admonition warning >}}
Sorry, this article has not been completely translated into **French**.
Welcome to take the time to propose a translation by [:(fas fa-code-branch fa-fw): making a PR](https://github.com/sunt-programator/CodeIT/pulls) to the theme!
{{< /admonition >}}

> [:(fas fa-laptop-code fa-fw): CodeIT](https://github.com/sunt-programator/CodeIT) is a **clean**, **elegant** but **advanced** blog theme for [Hugo](https://gohugo.io/).
>
> It is based on the original [LoveIt Theme](https://github.com/dillonzq/LoveIt), [LeaveIt Theme](https://github.com/liuzc/LeaveIt), and [KeepIt Theme](https://github.com/Fastbyte01/KeepIt).

![Hugo Theme CodeIT](/images/Apple-Devices-Preview.png "Hugo Theme CodeIT")

### Features

#### Performance and SEO

- :(fas fa-rocket fa-fw): Optimized for **performance**: [99]/[100] on mobile and [100]/[100] on desktop in [Google PageSpeed Insights](https://developers.google.com/speed/pagespeed/insights)
- :(fab fa-searchengin fa-fw): Optimized SEO performance with a correct **SEO SCHEMA** based on JSON-LD
- :(fab fa-google fa-fw): **[Google Analytics](https://analytics.google.com/analytics)** supported
- :(far fa-chart-bar fa-fw): **[Fathom Analytics](https://usefathom.com/)** supported
- :(far fa-chart-bar fa-fw): **[Plausible Analytics](https://plausible.io/)** supported
- :(fas fa-search fa-fw): Search engine **verification** supported (Google, Bind, Yandex and Baidu)
- :(fas fa-tachometer-alt fa-fw): **CDN** for third-party libraries supported
- :(fas fa-cloud-download-alt fa-fw): Automatically converted images with **Lazy Load** by [lazysizes](https://github.com/aFarkas/lazysizes)

#### Appearance and Layout

- [:(fas fa-desktop):]/[:(fas fa-mobile):] **Responsive** layout
- [:(fas fa-sun):]/[:(fas fa-moon):] **[Light]/[Dark]** mode
- :(fas fa-layer-group fa-fw): Globally consistent **design language**
- :(fas fa-ellipsis-h fa-fw): **Pagination** supported
- :(far fa-list-alt fa-fw): Easy-to-use and self-expanding **table of contents**
- :(fas fa-language fa-fw): **Multilanguage** supported and i18n ready
- :(fab fa-css3-alt fa-fw): Beautiful **CSS animation**

#### Social and Comment Systems

- :(far fa-user fa-fw): **Gravatar** supported by [Gravatar](https://gravatar.com)
- :(fas fa-user-circle fa-fw): Local **Avatar** supported
- :(far fa-id-card fa-fw): Up to **64** social links supported
- :(fas fa-share-square fa-fw): Up to **28** share sites supported
- :(far fa-comment fa-fw): **Disqus** comment system supported by [Disqus](https://disqus.com)
- :(far fa-comment-dots fa-fw): **Gitalk** comment system supported by [Gitalk](https://github.com/gitalk/gitalk)
- :(far fa-comment-alt fa-fw): **Valine** comment system supported by [Valine](https://valine.js.org/)
- :(far fa-comments fa-fw): **Facebook comments** system supported by [Facebook](https://developers.facebook.com/docs/plugins/comments/)
- :(fas fa-comment fa-fw): **Telegram comments** system supported by [Comments](https://comments.app/)
- :(fas fa-comment-dots fa-fw): **Commento** comment system supported by [Commento](https://commento.io/)
- :(fas fa-comment-alt fa-fw): **Utterances** comment system supported by [Utterances](https://utteranc.es/)

#### Extended Features

- :(fas fa-search fa-fw): **Search** supported by [Lunr.js](https://lunrjs.com/) or [algolia](https://www.algolia.com/)
- :(far fa-grin-tongue-wink fa-fw): **Twemoji** supported
- :(fas fa-code fa-fw): Automatically **highlighting** code
- :(far fa-copy fa-fw): **Copy code** to clipboard with one click
- :(far fa-images fa-fw): **Images gallery** supported by [lightgallery.js](https://github.com/sachinchoolur/lightgallery.js)
- :(fab fa-font-awesome fa-fw): Extended Markdown syntax for **[Font Awesome](https://fontawesome.com/) icons**
- :(far fa-sticky-note fa-fw): Extended Markdown syntax for **ruby annotation**
- :(fas fa-percentage fa-fw): Extended Markdown syntax for **fraction**
- :(fas fa-square-root-alt fa-fw): **Mathematical formula** supported by [$ \KaTeX $](https://katex.org/)
- :(fas fa-project-diagram fa-fw): **Diagrams** shortcode supported by [mermaid](https://github.com/knsv/mermaid)
- :(fas fa-chart-pie fa-fw): **Interactive data visualization** shortcode supported by [ECharts](https://echarts.apache.org/)
- :(fas fa-map-marked-alt fa-fw): **Mapbox** shortcode supported by [Mapbox GL JS](https://docs.mapbox.com/mapbox-gl-js)
- :(fas fa-music fa-fw): **Music player** shortcode supported by [APlayer](https://github.com/MoePlayer/APlayer) and [MetingJS](https://github.com/metowolf/MetingJS)
- :(fas fa-video fa-fw): **Bilibili player** shortcode
- :(far fa-bell fa-fw): Kinds of **admonitions** shortcode
- :(fas fa-align-left fa-fw): **Custom style** shortcode
- :(fab fa-js-square fa-fw): **Custom script** shortcode
- :(fas fa-i-cursor fa-fw): **Animated typing** supported by [TypeIt](https://typeitjs.com/)
- :(fas fa-arrow-down fa-fw): **Dynamic scroll** supported by [Smooth Scroll](https://github.com/cferdinandi/smooth-scroll)
- :(fas fa-cookie-bite fa-fw): **Cookie consent banner** supported by [cookieconsent](https://github.com/osano/cookieconsent)
- ...

### License

CodeIT is licensed under the **MIT** license.

Check the [LICENSE file](https://github.com/sunt-programator/CodeIT/blob/master/LICENSE) for details.

Thanks to the authors of following resources included in the theme:

- [normalize.css](https://github.com/necolas/normalize.css)
- [Font Awesome](https://fontawesome.com/)
- [Simple Icons](https://github.com/simple-icons/simple-icons)
- [Animate.css](https://daneden.github.io/animate.css/)
- [Smooth Scroll](https://github.com/cferdinandi/smooth-scroll)
- [autocomplete.js](https://github.com/algolia/autocomplete.js)
- [Lunr.js](https://lunrjs.com/)
- [algoliasearch](https://github.com/algolia/algoliasearch-client-javascript)
- [lazysizes](https://github.com/aFarkas/lazysizes)
- [object-fit-images](https://github.com/fregante/object-fit-images)
- [Twemoji](https://github.com/twitter/twemoji)
- [lightgallery.js](https://github.com/sachinchoolur/lightgallery.js)
- [clipboard.js](https://github.com/zenorocha/clipboard.js)
- [Sharer.js](https://github.com/ellisonleao/sharer.js)
- [TypeIt](https://typeitjs.com/)
- [$ \KaTeX $](https://katex.org/)
- [mermaid](https://github.com/knsv/mermaid)
- [ECharts](https://echarts.apache.org/)
- [Mapbox GL JS](https://docs.mapbox.com/mapbox-gl-js)
- [APlayer](https://github.com/MoePlayer/APlayer)
- [MetingJS](https://github.com/metowolf/MetingJS)
- [Gitalk](https://github.com/gitalk/gitalk)
- [Valine](https://valine.js.org/)
- [cookieconsent](https://github.com/osano/cookieconsent)
